com.arthenica.ffmpegkit

## Enum Signal

- java.lang.Object
- - java.lang.Enum<Signal>
  - - com.arthenica.ffmpegkit.Signal

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Signal>

      public enum Signal
      extends java.lang.Enum<Signal>

  Lists signals handled by FFmpegKit library.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SIGINT`
    `SIGPIPE`
    `SIGQUIT`
    `SIGTERM`
    `SIGXCPU`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static Signal` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Signal[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SIGINT

          public static final Signal SIGINT

    - #### SIGQUIT

          public static final Signal SIGQUIT

    - #### SIGPIPE

          public static final Signal SIGPIPE

    - #### SIGTERM

          public static final Signal SIGTERM

    - #### SIGXCPU

          public static final Signal SIGXCPU

  - ### Method Detail

    - #### values

          public static Signal[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Signal c : Signal.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Signal valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()